# Tamito KAJIYAMA <4 February 2001>
# NOTE: This file contains Japanese characters (EUC-JP).

from eb import *

def search(func, word, num):
    print "-" * 60
    if func == 0:
        print 'eb_search_exactword',
        assert(eb_search_exactword(book, word) == 0)
    elif func == 1:
        print 'eb_search_word',
        assert(eb_search_word(book, word) == 0)
    elif func == 2:
        print 'eb_search_endword',
        assert(eb_search_endword(book, word) == 0)
    print '"%s"' % word
    print
    buffer = []
    while 1:
        hitlist = eb_hit_list(book)
        if hitlist == -1:
            raise
        if not hitlist:
            break
        buffer.extend(list(hitlist))
    assert(len(buffer) == num)
    for heading, text in buffer:
        eb_seek(book, heading)
        print "Heading:", eb_heading(book, appendix, hookset)
        eb_seek(book, text)
        print "Text:", eb_text(book, appendix, hookset)

book, appendix, hookset = EB_Book(), EB_Appendix(), EB_Hookset()

assert(eb_bind(book, "ej") > 0)
assert(eb_set_subbook(book, 0) == 0)

search(0, "love", 2)
search(0, "cute", 1)
search(0, "good", 0)
search(0, "襤餷", 1)
search(0, "İ", 0)
search(1, "love", 4)
search(1, "good", 0)
search(1, "", 3)
search(1, "", 0)
search(2, "ly", 2)
search(2, "tive", 0)
search(2, "", 2)
search(2, "Ǥ", 0)
