# Tamito KAJIYAMA <15 September 2001>

from eb import *

links = []
def hook_tags(book, appendix, buffer, code, argv):
    if code == EB_HOOK_BEGIN_REFERENCE:
        buffer.set("<reference>")
    elif code == EB_HOOK_END_REFERENCE:
        buffer.set("</reference=%04x:%04x>" % (argv[1], argv[2]))
        links.append((argv[1], argv[2]))
    return 0

text_hooks = (
    (EB_HOOK_BEGIN_REFERENCE, hook_tags),
    (EB_HOOK_END_REFERENCE,   hook_tags),
    )

book, appendix, hookset = EB_Book(), EB_Appendix(), EB_Hookset()
assert(eb_set_hooks(hookset, text_hooks) == 0)

assert(eb_bind(book, "ej") > 0)
assert(eb_set_subbook(book, 0) == 0)

def show_text(position):
    assert(eb_seek(book, position) == 0)
    print eb_text(book, appendix, hookset)

assert(eb_have_menu(book) == 1)
show_text(eb_menu(book))

for position in links:
    print "-" * 60
    print "Position: %04x:%04x" % position
    show_text(position)
